AccentColor = "accent-color"
"""Specifies an accent color for user-interface controls"""

AlignContent = "align-content"
"""Specifies the alignment between the lines inside a flexible container when the items do not use all available space"""

AlignItems = "align-items"
"""Specifies the alignment for items inside a flexible container"""

AlignSelf = "align-self"
"""Specifies the alignment for selected items inside a flexible container"""

All = "all"
"""Resets all properties (except unicode-bidi and direction)"""

Animation = "animation"
"""A shorthand property for all the animation-* properties"""

AnimationDelay = "animation-delay"
"""Specifies a delay for the start of an animation"""

AnimationDirection = "animation-direction"
"""Specifies whether an animation should be played forward, backward or 
    in alternate cycles"""

AnimationDuration = "animation-duration"
"""Specifies how long an animation should take to complete one cycle"""

AnimationFillMode = "animation-fill-mode"
"""Specifies a style for the element when the animation is not playing (before 
    it starts, after it ends, or both)"""

AnimationIterationCount = "animation-iteration-count"
"""Specifies the number of times an animation should be played"""

AnimationName = "animation-name"
"""Specifies a name for the @keyframes animation"""

AnimationPlayState = "animation-play-state"
"""Specifies whether the animation is running or paused"""


AnimationTimingFunction = "animation-timing-function"
"""Specifies the speed curve of an animation"""


AspectRatio = "aspect-ratio"
"""Specifies preferred aspect ratio of an element"""


BackdropFilter = "backdrop-filter"
"""Defines a graphical effect to the area behind an element"""


BackfaceVisibility = "backface-visibility"
"""Defines whether or not the back face of an element should be visible when facing the user"""


Background = "background"
"""A shorthand property for all the background-* properties"""


BackgroundAttachment = "background-attachment"
"""Sets whether a background image scrolls with the rest of the page, or is fixed"""


BackgroundBlendMode = "background-blend-mode"
"""Specifies the blending mode of each background layer (color/image)"""


BackgroundClip = "background-clip"
"""Defines how far the background (color or image) should extend within an 
    element"""


BackgroundColor = "background-color"
"""Specifies the background color of an element"""


BackgroundImage = "background-image"
"""Specifies one or more background images for an element"""


BackgroundOrigin = "background-origin"
"""Specifies the origin position of a background image"""


BackgroundPosition = "background-position"
"""Specifies the position of a background image"""


BackgroundPositionX = "background-position-x"
"""Specifies the position of a background image on x-axis"""


BackgroundPositionY = "background-position-y"
"""Specifies the position of a background image on y-axis"""


BackgroundRepeat = "background-repeat"
"""Sets if/how a background image will be repeated"""


BackgroundSize = "background-size"
"""Specifies the size of the background images"""


BlockSize = "block-size"
"""Specifies the size of an element in block direction"""


Border = "border"
"""A shorthand property for border-width, border-style and border-color"""


BorderBlock = "border-block"
"""A shorthand property for border-block-width, border-block-style and border-block-color"""


BorderBlockColor = "border-block-color"
"""Sets the color of the borders at start and end in the block direction"""


BorderBlockEnd = "border-block-end"
"""A shorthand property for border-block-end-width, border-block-end-style and border-block-end-color"""


BorderBlockEndColor = "border-block-end-color"
"""Sets the color of the border at the end in the block direction"""


BorderBlockEndStyle = "border-block-end-style"
"""Sets the style of the border at the end in the block direction"""


BorderBlockEndWidth = "border-block-end-width"
"""Sets the width of the border at the end in the block direction"""


BorderBlockStart = "border-block-start"
"""A shorthand property for border-block-start-width, border-block-start-style and border-block-start-color"""


BorderBlockStartColor = "border-block-start-color"
"""Sets the color of the border at the start in the block direction"""


BorderBlockStartStyle = "border-block-start-style"
"""Sets the style of the border at the start in the block direction"""


BorderBlockStartWidth = "border-block-start-width"
"""Sets the width of the border at the start in the block direction"""


BorderBlockStyle = "border-block-style"
"""Sets the style of the borders at start and end in the block direction"""


BorderBlockWidth = "border-block-width"
"""Sets the width of the borders at start and end in the block direction"""


BorderBottom = "border-bottom"
"""A shorthand property for border-bottom-width, border-bottom-style 
    and border-bottom-color"""


BorderBottomColor = "border-bottom-color"
"""Sets the color of the bottom border"""


BorderBottomLeftRadius = "border-bottom-left-radius"
"""Defines the radius of the border of the bottom-left corner"""


BorderBottomRightRadius = "border-bottom-right-radius"
"""Defines the radius of the border of the bottom-right corner"""


BorderBottomStyle = "border-bottom-style"
"""Sets the style of the bottom border"""


BorderBottomWidth = "border-bottom-width"
"""Sets the width of the bottom border"""


BorderCollapse = "border-collapse"
"""Sets whether table borders should collapse into a single border or be separated"""


BorderColor = "border-color"
"""Sets the color of the four borders"""


BorderEndEndRadius = "border-end-end-radius"
"""Sets the radius of the corner between the block-end and the inline-end 
    sides of the element"""


BorderEndStartRadius = "border-end-start-radius"
"""Sets the radius of the corner between the block-end and the inline-start 
    sides of the element"""


BorderImage = "border-image"
"""A shorthand property for all the border-image-* properties"""

BorderImageOutset = "border-image-outset"
"""Specifies the amount by which the border image area extends beyond the border box"""

BorderImageRepeat = "border-image-repeat"
"""Specifies whether the border image should be repeated, rounded or stretched"""

BorderImageSlice = "border-image-slice"
"""Specifies how to slice the border image"""

BorderImageSource = "border-image-source"
"""Specifies the path to the image to be used as a border"""


BorderImageWidth = "border-image-width"
"""Specifies the width of the border image"""

BorderInline = "border-inline"
"""A shorthand property for border-inline-width, border-inline-style and border-inline-color"""

BorderInlineColor = "border-inline-color"
"""Sets the color of the borders at start and end in the inline direction"""

BorderInlineEnd = "border-inline-end"
"""A shorthand property for border-inline-end-width, border-inline-end-style and border-inline-end-color"""

BorderInlineEndColor = "border-inline-end-color"
"""Sets the color of the border at the end in the inline direction"""

BorderInlineEndStyle = "border-inline-end-style"
"""Sets the style of the border at the end in the inline direction"""

BorderInlineEndWidth = "border-inline-end-width"
"""Sets the width of the border at the end in the inline direction"""

BorderInlineStart = "border-inline-start"
"""A shorthand property for border-inline-start-width, border-inline-start-style and border-inline-start-color"""

BorderInlineStartColor = "border-inline-start-color"
"""Sets the color of the border at the start in the inline direction"""

BorderInlineStartStyle = "border-inline-start-style"
"""Sets the style of the border at the start in the inline direction"""

BorderInlineStartWidth = "border-inline-start-width"
"""Sets the width of the border at the start in the inline direction"""

BorderInlineStyle = "border-inline-style"
"""Sets the style of the borders at start and end in the inline direction"""

BorderInlineWidth = "border-inline-width"
"""Sets the width of the borders at start and end in the inline direction"""

BorderLeft = "border-left"
"""A shorthand property for all the border-left-* properties"""

BorderLeftColor = "border-left-color"
"""Sets the color of the left border"""

BorderLeftStyle = "border-left-style"
"""Sets the style of the left border"""

BorderLeftWidth = "border-left-width"
"""Sets the width of the left border"""

BorderRadius = "border-radius"
"""A shorthand property for the four border-*-radius properties"""

BorderRight = "border-right"
"""A shorthand property for all the border-right-* properties"""

BorderRightColor = "border-right-color"
"""Sets the color of the right border"""

BorderRightStyle = "border-right-style"
"""Sets the style of the right border"""

BorderRightWidth = "border-right-width"
"""Sets the width of the right border"""

BorderSpacing = "border-spacing"
"""Sets the distance between the borders of adjacent cells"""

BorderStartEndRadius = "border-start-end-radius"
"""Sets the radius of the corner between the block-start and the inline-end 
    sides of the element"""

BorderStartStartRadius = "border-start-start-radius"
"""Sets the radius of the corner between the block-start and the inline-start 
    sides of the element"""

BorderStyle = "border-style"
"""Sets the style of the four borders"""

BorderTop = "border-top"
"""A shorthand property for border-top-width, border-top-style and
    Border-top-color"""

BorderTopColor = "border-top-color"
"""Sets the color of the top border"""

BorderTopLeftRadius = "border-top-left-radius"
"""Defines the radius of the border of the top-left corner"""

BorderTopRightRadius = "border-top-right-radius"
"""Defines the radius of the border of the top-right corner"""

BorderTopStyle = "border-top-style"
"""Sets the style of the top border"""

BorderTopWidth = "border-top-width"
"""Sets the width of the top border"""

BorderWidth = "border-width"
"""Sets the width of the four borders"""

Bottom = "bottom"
"""Sets the elements position, from the bottom of its parent element"""
    
BoxDecorationBreak = "box-decoration-break"
"""Sets the behavior of the background and border of an element at page-break, or, for  in-line elements, at line-break."""

BoxReflect = "box-reflect"
"""The box-reflect property is used to create a reflection of an element."""

BoxShadow = "box-shadow"
"""Attaches one or more shadows to an element"""

BoxSizing = "box-sizing"
"""Defines how the width and height of an element are calculated: should 
    they include padding and borders, or not"""

BreakAfter = "break-after"
"""Specifies whether or not a page-, column-, or region-break should occur 
    after the specified element"""

BreakBefore = "break-before"
"""Specifies whether or not a page-, column-, or region-break should occur 
    Before the specified element"""

BreakInside = "break-inside"
"""Specifies whether or not a page-, column-, or region-break should occur 
    inside the specified element"""

CaptionSide = "caption-side"
"""Specifies the placement of a table caption"""

CaretColor = "caret-color"
"""Specifies the color of the cursor (caret) in inputs, textareas, or any 
    element that is editable"""
    
Charset = "@charset"
"""Specifies the character encoding used in the style sheet"""

Clear = "clear"
"""Specifies what should happen with the element that is next to a floating 
    element"""

Clip = "clip"
"""Deprecated in favor of clip-path. Clips an absolutely positioned element"""

ClipPath = "clip-path"
"""Clips an element to a basic shape or to an SVG source"""

Color = "color"
"""Sets the color of text"""
ColorScheme = "color-scheme"
"""Indicates which operating system color scheme an element should render 
    with"""

ColumnCount = "column-count"
"""Specifies the number of columns an element should be divided into"""

ColumnFill = "column-fill"
"""Specifies how to fill columns, balanced or not"""

ColumnGap = "column-gap"
"""Specifies the gap between the columns"""

ColumnRule = "column-rule"
"""A shorthand property for all the column-rule-* properties"""

ColumnRuleColor = "column-rule-color"
"""Specifies the color of the rule between columns"""

ColumnRuleStyle = "column-rule-style"
"""Specifies the style of the rule between columns"""

ColumnRuleWidth = "column-rule-width"
"""Specifies the width of the rule between columns"""

ColumnSpan = "column-span"
"""Specifies how many columns an element should span across"""

ColumnWidth = "column-width"
"""Specifies the column width"""

Columns = "columns"
"""A shorthand property for column-width and column-count"""

Container = "@container"
"""Define styles for elements in container, depending on the container's 
    size or style"""

Content = "content"
"""Used with the :before and :after pseudo-elements, to insert generated content"""

CounterIncrement = "counter-increment"
"""Increases or decreases the value of one or more CSS counters"""

CounterReset = "counter-reset"
"""Creates or resets one or more CSS counters"""

CounterSet = "counter-set"
"""Creates or sets one or more CSS counters"""

CounterStyle = "@counter-style"
"""Lets you define your own counter styles"""

Cursor = "cursor"
"""Specifies the mouse cursor to be displayed when pointing over an element"""

Direction = "direction"
"""Specifies the text direction/writing direction"""

Display = "display"
"""Specifies how a certain HTML element should be displayed"""

EmptyCells = "empty-cells"
"""Specifies whether or not to display borders and background on empty cells in a table"""

Filter = "filter"
"""Defines effects (e.g. blurring or color shifting) on an element before the element is displayed"""

Flex = "flex"
"""A shorthand property for the flex-grow, flex-shrink, and the 
    flex-basis 
    properties"""

FlexBasis = "flex-basis"
"""Specifies the initial length of a flexible item"""

FlexDirection = "flex-direction"
"""Specifies the direction of the flexible items"""

FlexFlow = "flex-flow"
"""A shorthand property for the flex-direction and the flex-wrap properties"""

FlexGrow = "flex-grow"
"""Specifies how much the item will grow relative to the rest"""

FlexShrink = "flex-shrink"
"""Specifies how the item will shrink relative to the rest"""

FlexWrap = "flex-wrap"
"""Specifies whether the flexible items should wrap or not"""

Float = "float"
"""Specifies whether an element should float to the left, right, or not at 
    all"""

Font = "font"
"""A shorthand property for the font-style, font-variant, font-weight, 
    font-size/line-height, and the font-family properties"""

FontFace = "@font-face"
"""Specifies a custom font to use to display text"""

FontFamily = "font-family"
"""Specifies the font family for text"""

FontFeatureSettings = "font-feature-settings"
"""Allows control over advanced typographic features in OpenType fonts"""

FontKerning = "font-kerning"
"""Controls the usage of the kerning information (how letters are spaced)"""

FontLanguageOverride = "font-language-override"
"""Controls the usage of language-specific glyphs in a typeface"""

FontPaletteValues = "@font-palette-values"
"""Allows you to customize the default values of a font-palette"""

FontSize = "font-size"
"""Specifies the font size of text"""

FontSizeAdjust = "font-size-adjust"
"""Preserves the readability and size of text when fallback font occurs"""

FontStretch = "font-stretch"
"""Selects a normal, condensed, or expanded face from a font family"""

FontStyle = "font-style"
"""Specifies the font style for text"""

FontSynthesis = "font-synthesis"
"""Controls which missing typefaces (bold or italic) may be synthesized by the browser"""

FontVariant = "font-variant"
"""Specifies whether or not a text should be displayed in a small-caps font"""

FontVariantAlternates = "font-variant-alternates"
"""Controls the usage of alternate glyphs associated to alternative names defined in @font-feature-values"""

FontVariantCaps = "font-variant-caps"
"""Controls the usage of alternate glyphs for capital letters"""

FontVariantEastAsian = "font-variant-east-asian"
"""Controls the usage of alternate glyphs for East Asian scripts (e.g Japanese and Chinese)"""

FontVariantLigatures = "font-variant-ligatures"
"""Controls which ligatures and contextual forms are used in textual content of the elements it applies to"""

FontVariantNumeric = "font-variant-numeric"
"""Controls the usage of alternate glyphs for numbers, fractions, and ordinal markers"""

FontVariantPosition = "font-variant-position"
"""Controls the usage of alternate glyphs of smaller size positioned as superscript or subscript regarding the baseline of the font"""

FontWeight = "font-weight"
"""Specifies the weight of a font"""

Gap = "gap"
"""A shorthand property for the row-gap and the column-gap properties"""

Grid = "grid"
"""A shorthand property for the grid-template-rows, 
    grid-template-columns, grid-template-areas, grid-auto-rows, 
    grid-auto-columns, and the grid-auto-flow properties"""

GridArea = "grid-area"
"""Either specifies a name for the grid item, or this property is a shorthand property for the grid-row-start, grid-column-start, grid-row-end, and grid-column-end properties"""

GridAutoColumns = "grid-auto-columns"
"""Specifies a default column size"""

GridAutoFlow = "grid-auto-flow"
"""Specifies how auto-placed items are inserted in the grid"""

GridAutoRows = "grid-auto-rows"
"""Specifies a default row size"""

GridColumn = "grid-column"
"""A shorthand property for the grid-column-start and the grid-column-end properties"""

GridColumnEnd = "grid-column-end"
"""Specifies where to end the grid item"""

GridColumnStart = "grid-column-start"
"""Specifies where to start the grid item"""

GridRow = "grid-row"
"""A shorthand property for the grid-row-start and the grid-row-end properties"""

GridRowEnd = "grid-row-end"
"""Specifies where to end the grid item"""

GridRowStart = "grid-row-start"
"""Specifies where to start the grid item"""

GridTemplate = "grid-template"
"""A shorthand property for the grid-template-rows, grid-template-columns 
    and grid-areas properties"""

GridTemplateAreas = "grid-template-areas"
"""Specifies how to display columns and rows, using named grid items"""

GridTemplateColumns = "grid-template-columns"
"""Specifies the size of the columns, and how many columns in a grid layout"""

GridTemplateRows = "grid-template-rows"
"""Specifies the size of the rows in a grid layout"""

HangingPunctuation = "hanging-punctuation"
"""Specifies whether a punctuation character may be placed outside the line box"""

Height = "height"
"""Sets the height of an element"""

Hyphens = "hyphens"
"""Sets how to split words to improve the layout of text"""

HypenateCharacter = "hypenate-character"
"""Sets the character used at the end of line, before a hyphenation break"""

ImageRendering = "image-rendering"
"""Specifies the type of algorithm to use for image scaling"""

Import = "@import"
"""Allows you to import a style sheet into another style sheet"""

InitialLetter = "initial-letter"
"""Specifies the size of the initial-letter and optionally the number of 
    lines the initial letter should sink (down in the text)"""

InlineSize = "inline-size"
"""Specifies the size of an element in the inline direction"""

Inset = "inset"
"""Specifies the distance between an element and the parent element"""

InsetBlock = "inset-block"
"""Specifies the distance between an element and the parent element in the block direction"""

InsetBlockEnd = "inset-block-end"
"""Specifies the distance between the end of an element and the parent element in the block direction"""

InsetBlockStart = "inset-block-start"
"""Specifies the distance between the start of an element and the parent element in the block direction"""

InsetInline = "inset-inline"
"""Specifies the distance between an element and the parent element in the inline direction"""

InsetInlineEnd = "inset-inline-end"
"""Specifies the distance between the end of an element and the parent element in the inline direction"""

InsetInlineStart = "inset-inline-start"
"""Specifies the distance between the start of an element and the parent element in the inline direction"""

Isolation = "isolation"
"""Defines whether an element must create a new stacking content"""

JustifyContent = "justify-content"
"""Specifies the alignment between the items inside a flexible container when the items do not use all available space"""

JustifyItems = "justify-items"
"""Is set on the grid container. Specifies the alignment of grid items in the inline direction"""

JustifySelf = "justify-self"
"""Is set on the grid item. Specifies the alignment of the grid item in the inline direction"""
    
Keyframes = "@keyframes"
"""Controls the steps in an animation by defining styles for points along 
    the animation sequence"""

Layer = "@layer"
"""Controls how the CSS cascade layers evaluates the order of styles"""

Left = "left"
"""Specifies the left position of a positioned element"""

LetterSpacing = "letter-spacing"
"""Increases or decreases the space between characters in a text"""

LineBreak = "line-break"
"""Specifies how/if to break lines"""

LineHeight = "line-height"
"""Sets the line height"""

ListStyle = "list-style"
"""Sets all the properties for a list in one declaration"""

ListStyleImage = "list-style-image"
"""Specifies an image as the list-item marker"""

ListStylePosition = "list-style-position"
"""Specifies the position of the list-item markers (bullet points)"""

ListStyleType = "list-style-type"
"""Specifies the type of list-item marker"""

Margin = "margin"
"""Sets all the margin properties in one declaration"""

MarginBlock = "margin-block"
"""Specifies the margin in the block direction"""

MarginBlockEnd = "margin-block-end"
"""Specifies the margin at the end in the block direction"""

MarginBlockStart = "margin-block-start"
"""Specifies the margin at the start in the block direction"""

MarginBottom = "margin-bottom"
"""Sets the bottom margin of an element"""

MarginInline = "margin-inline"
"""Specifies the margin in the inline direction"""

MarginInlineEnd = "margin-inline-end"
"""Specifies the margin at the end in the inline direction"""

MarginInlineStart = "margin-inline-start"
"""Specifies the margin at the start in the inline direction"""

MarginLeft = "margin-left"
"""Sets the left margin of an element"""

MarginRight = "margin-right"
"""Sets the right margin of an element"""

MarginTop = "margin-top"
"""Sets the top margin of an element"""

Marker = "marker"
"""Points to a marker that will be drawn on all vertices of an element's 
    path (the first, middle, and last)"""

MarkerEnd = "marker-end"
"""Points to a marker that will be drawn on the last vertex of an element's path"""

MarkerMid = "marker-mid"
"""Points to a marker that will be drawn on all the middle vertices of an element's path"""

MarkerStart = "marker-start"
"""Points to a marker that will be drawn on the first vertex of an element's path"""

Mask = "mask"
"""A shorthand property for mask-image, mask-mode, mask-repeat, mask-position, mask-clip, mask-origin, mask-size and mask-composite"""

MaskClip = "mask-clip"
"""Specifies which area is affected by a mask image"""

MaskComposite = "mask-composite"
"""Specifies a compositing operation used on the current mask layer with the mask layers below it"""

MaskImage = "mask-image"
"""Specifies an image to be used as a mask layer for an element"""

MaskMode = "mask-mode"
"""Specifies whether the mask layer image is treated as a luminance mask or as an alpha mask"""

MaskOrigin = "mask-origin"
"""Specifies the origin position (the mask position area) of a mask layer image"""

MaskPosition = "mask-position"
"""Sets the starting position of a mask layer image (relative to the 
    mask position area)"""

MaskRepeat = "mask-repeat"
"""Specifies how the mask layer image is repeated"""

MaskSize = "mask-size"
"""Specifies the size of a mask layer image"""

MaskType = "mask-type"
"""Specifies whether an SVG <mask> element is treated as a luminance 
    mask or as an alpha mask"""

MaxHeight = "max-height"
"""Sets the maximum height of an element"""

MaxWidth = "max-width"
"""Sets the maximum width of an element"""

Media = "@media"
"""Sets the style rules for different media types/devices/sizes"""

MaxBlockSize = "max-block-size"
"""Sets the maximum size of an element in the block direction"""

MaxInlineSize = "max-inline-size"
"""Sets the maximum size of an element in the inline direction"""

MinBlockSize = "min-block-size"
"""Sets the minimum size of an element in the block direction"""

MinInlineSize = "min-inline-size"
"""Sets the minimum size of an element in the inline direction"""

MinHeight = "min-height"
"""Sets the minimum height of an element"""

MinWidth = "min-width"
"""Sets the minimum width of an element"""

MixBlendMode = "mix-blend-mode"
"""Specifies how an element's content should blend with its direct parent background"""
    
Namespace = "@namespace"
"""Defines an XML namespace to be used in the style sheet"""

ObjectFit = "object-fit"
"""Specifies how the contents of a replaced element should be fitted to the box established by its used height and width"""

ObjectPosition = "object-position"
"""Specifies the alignment of the replaced element inside its box"""

Offset = "offset"
"""A shorthand property for the offset-anchor, offset-distance,
    offset-path, offset-position, and the offset-rotate 
    properties"""

OffsetAnchor = "offset-anchor"
"""Specifies a point on an element that is fixed to the path it is animated along"""

OffsetDistance = "offset-distance"
"""Specifies the position along a path where an animated element is placed"""

OffsetPath = "offset-path"
"""Specifies the path an element is animated along"""

OffsetPosition = "offset-position"
"""Specifies the initial position of an element along a path"""

OffsetRotate = "offset-rotate"
"""Specifies rotation of an element as it is animated along a path"""

Opacity = "opacity"
"""Sets the opacity level for an element"""

Order = "order"
"""Sets the order of the flexible item, relative to the rest"""

Orphans = "orphans"
"""Sets the minimum number of lines that must be left at the bottom of a 
    page or column"""

Outline = "outline"
"""A shorthand property for the outline-width, outline-style, and 
    the outline-color properties"""

OutlineColor = "outline-color"
"""Sets the color of an outline"""

OutlineOffset = "outline-offset"
"""Offsets an outline, and draws it beyond the border edge"""

OutlineStyle = "outline-style"
"""Sets the style of an outline"""

OutlineWidth = "outline-width"
"""Sets the width of an outline"""

Overflow = "overflow"
"""Specifies what happens if content overflows an element's box"""

OverflowAnchor = "overflow-anchor"
"""Specifies whether or not content in viewable area in a scrollable contianer should be pushed down when new content is loaded above"""

OverflowWrap = "overflow-wrap"
"""Specifies whether or not the browser can break lines with long words, if 
    they overflow the container"""

OverflowX = "overflow-x"
"""Specifies whether or not to clip the left/right edges of the content, if it overflows the element's content area"""

OverflowY = "overflow-y"
"""Specifies whether or not to clip the top/bottom edges of the content, if it overflows the element's content area"""

OverscrollBehavior = "overscroll-behavior"
"""Specifies whether to have scroll chaining or overscroll affordance in x- and y-directions"""

OverscrollBehaviorBlock = "overscroll-behavior-block"
"""Specifies whether to have scroll chaining or overscroll affordance in the block direction"""

OverscrollBehaviorInline = "overscroll-behavior-inline"
"""Specifies whether to have scroll chaining or overscroll affordance in the inline direction"""

OverscrollBehaviorX = "overscroll-behavior-x"
"""Specifies whether to have scroll chaining or overscroll affordance in x-direction"""

OverscrollBehaviorY = "overscroll-behavior-y"
"""Specifies whether to have scroll chaining or overscroll affordance in y-directions"""

Padding = "padding"
"""A shorthand property for all the padding-* properties"""

PaddingBlock = "padding-block"
"""Specifies the padding in the block direction"""

PaddingBlockEnd = "padding-block-end"
"""Specifies the padding at the end in the block direction"""

PaddingBlockStart = "padding-block-start"
"""Specifies the padding at the start in the block direction"""

PaddingBottom = "padding-bottom"
"""Sets the bottom padding of an element"""

PaddingInline = "padding-inline"
"""Specifies the padding in the inline direction"""

PaddingInlineEnd = "padding-inline-end"
"""Specifies the padding at the end in the inline direction"""

PaddingInlineStart = "padding-inline-start"
"""Specifies the padding at the start in the inline direction"""

PaddingLeft = "padding-left"
"""Sets the left padding of an element"""
    
PaddingRight = "padding-right"
"""Sets the right padding of an element"""

PaddingTop = "padding-top"
"""Sets the top padding of an element"""

Page = "@page"
"""Customizes the dimension, orientation, and margins of printed pages"""

PageBreakAfter = "page-break-after"
"""Sets the page-break behavior after an element. Replaced by break-after property"""

PageBreakBefore = "page-break-before"
"""Sets the page-break behavior before an element. Replaced by break-before property"""

PageBreakInside = "page-break-inside"
"""Sets the page-break behavior inside an element. Replaced by break-inside property"""

PaintOrder = "paint-order"
"""Sets the order of how an SVG element or text is painted."""

Perspective = "perspective"
"""Gives a 3D-positioned element some perspective"""

PerspectiveOrigin = "perspective-origin"
"""Defines at which position the user is looking at the 3D-positioned element"""

PlaceContent = "place-content"
"""Specifies align-content and justify-content property values for flexbox and grid layouts"""
    
PlaceItems = "place-items"
"""Specifies align-items and justify-items property values for grid layouts"""

PlaceSelf = "place-self"
"""Specifies align-self and justify-self property values for grid layouts"""

PointerEvents = "pointer-events"
"""Defines whether or not an element reacts to pointer events"""

Position = "position"
"""Specifies the type of positioning method used for an element (static, relative, absolute or fixed)"""
    
Property = "@property"
"""Defines custom CSS properties directly in the stylesheet without having to run any JavaScript"""

Quotes = "quotes"
"""Sets the type of quotation marks for embedded quotations"""

Resize = "resize"
"""Defines if (and how) an element is resizable by the user"""

Right = "right"
"""Specifies the right position of a positioned element"""

Rotate = "rotate"
"""Specifies the rotation of an element"""

RowGap = "row-gap"
"""Specifies the gap between the grid rows"""

Scale = "scale"
"""Specifies the size of an element by scaling up or down"""

Scope = "@scope"
"""Allows you to select elements in specific DOM subtrees and target 
    elements precisely without writing overly-specific selectors"""

ScrollBehavior = "scroll-behavior"
"""Specifies whether to smoothly animate the scroll position in a scrollable box, instead of a straight jump"""
    
ScrollMargin = "scroll-margin"
"""Specifies the margin between the snap position and the container"""

ScrollMarginBlock = "scroll-margin-block"
"""Specifies the margin between the snap position and the container in the block direction"""

ScrollMarginBlockEnd = "scroll-margin-block-end"
"""Specifies the end margin between the snap position and the container in the block direction"""

ScrollMarginBlockStart = "scroll-margin-block-start"
"""Specifies the start margin between the snap position and the container in the block direction"""

ScrollMarginBottom = "scroll-margin-bottom"
"""Specifies the margin between the snap position on the bottom side and the container"""

ScrollMarginInline = "scroll-margin-inline"
"""Specifies the margin between the snap position and the container in the inline direction"""

ScrollMarginInlineEnd = "scroll-margin-inline-end"
"""Specifies the end margin between the snap position and the container in the inline direction"""

ScrollMarginInlineStart = "scroll-margin-inline-start"
"""Specifies the start margin between the snap position and the container in the inline direction"""

ScrollMarginLeft = "scroll-margin-left"
"""Specifies the margin between the snap position on the left side and the container"""

ScrollMarginRight = "scroll-margin-right"
"""Specifies the margin between the snap position on the right side and the container"""

ScrollMarginTop = "scroll-margin-top"
"""Specifies the margin between the snap position on the top side and the container"""

ScrollPadding = "scroll-padding"
"""Specifies the distance from the container to the snap position on the child elements"""

ScrollPaddingBlock = "scroll-padding-block"
"""Specifies the distance in block direction from the container to the snap position on the child elements"""

ScrollPaddingBlockEnd = "scroll-padding-block-end"
"""Specifies the distance in block direction from the end of the container to the snap position on the child elements"""

ScrollPaddingBlockStart = "scroll-padding-block-start"
"""Specifies the distance in block direction from the start of the container to the snap position on the child elements"""

ScrollPaddingBottom = "scroll-padding-bottom"
"""Specifies the distance from the bottom of the container to the snap position on the child elements"""

ScrollPaddingInline = "scroll-padding-inline"
"""Specifies the distance in inline direction from the container to the snap position on the child elements"""

ScrollPaddingInlineEnd = "scroll-padding-inline-end"
"""Specifies the distance in inline direction from the end of the container to the snap position on the child elements"""

ScrollPaddingInlineStart = "scroll-padding-inline-start"
"""Specifies the distance in inline direction from the start of the container to the snap position on the child elements"""

ScrollPaddingLeft = "scroll-padding-left"
"""Specifies the distance from the left side of the container to the snap position on the child elements"""

ScrollPaddingRight = "scroll-padding-right"
"""Specifies the distance from the right side of the container to the snap position on the child elements"""

ScrollPaddingTop = "scroll-padding-top"
"""Specifies the distance from the top of the container to the snap position on the child elements"""

ScrollSnapAlign = "scroll-snap-align"
"""Specifies where to position elements when the user stops scrolling"""

ScrollSnapStop = "scroll-snap-stop"
"""Specifies scroll behaviour after fast swipe on trackpad or touch screen"""

ScrollSnapType = "scroll-snap-type"
"""Specifies how snap behaviour should be when scrolling"""

ScrollbarColor = "scrollbar-color"
"""Specifies the color of the scrollbar of an element"""

ShapeOutside = "shape-outside"
"""Defines a shape for wrapping for the inline content"""

StartingStyle = "@starting-style"
"""Defines an element's starting styles before the element gets its first 
    style update"""

Supports = "@supports"
"""Used to test whether a browser supports a CSS feature"""

TabSize = "tab-size"
"""Specifies the width of a tab character"""

TableLayout = "table-layout"
"""Defines the algorithm used to lay out table cells, rows, and columns"""

TextAlign = "text-align"
"""Specifies the horizontal alignment of text"""

TextAlignLast = "text-align-last"
"""Describes how the last line of a block or a line right before a forced line break is aligned when text-align is "justify"""

TextCombineUpright = "text-combine-upright"
"""Specifies the combination of multiple characters into the space of a single character"""

TextDecoration = "text-decoration"
"""Specifies the decoration added to text"""

TextDecorationColor = "text-decoration-color"
"""Specifies the color of the text-decoration"""

TextDecorationLine = "text-decoration-line"
"""Specifies the type of line in a text-decoration"""
    
TextDecorationStyle = "text-decoration-style"
"""Specifies the style of the line in a text decoration"""
    
TextDecorationThickness = "text-decoration-thickness"
"""Specifies the thickness of the decoration line"""

TextEmphasis = "text-emphasis"
"""A shorthand property for the text-emphasis-style and 
    text-emphasis-color properties"""

TextEmphasisColor = "text-emphasis-color"
"""Specifies the color of emphasis marks"""
    
TextEmphasisPosition = "text-emphasis-position"
"""Specifies the position of emphasis marks"""

TextEmphasisStyle = "text-emphasis-style"
"""Specifies the style of emphasis marks"""

TextIndent = "text-indent"
"""Specifies the indentation of the first line in a text-block"""

TextJustify = "text-justify"
"""Specifies the justification method used when text-align is "justify"""

TextOrientation = "text-orientation"
"""Defines the orientation of characters in a line"""

TextOverflow = "text-overflow"
"""Specifies what should happen when text overflows the containing element"""

TextShadow = "text-shadow"
"""Adds shadow to text """

TextTransform = "text-transform"
"""Controls the capitalization of text"""

TextUnderlineOffset = "text-underline-offset"
"""Specifies the offset distance of the underline text decoration"""

TextUnderlinePosition = "text-underline-position"
"""Specifies the position of the underline text decoration"""

Top = "top"
"""Specifies the top position of a positioned element"""

Transform = "transform"
"""Applies a 2D or 3D transformation to an element"""

TransformOrigin = "transform-origin"
"""Allows you to change the position on transformed elements"""

TransformStyle = "transform-style"
"""Specifies how nested elements are rendered in 3D space"""

Transition = "transition"
"""A shorthand property for all the transition-* properties"""

TransitionDelay = "transition-delay"
"""Specifies when the transition effect will start"""

TransitionDuration = "transition-duration"
"""Specifies how many seconds or milliseconds a transition effect takes to complete"""

TransitionProperty = "transition-property"
"""Specifies the name of the CSS property the transition effect is for"""

TransitionTimingFunction = "transition-timing-function"
"""Specifies the speed curve of the transition effect"""

Translate = "translate"
"""Specifies the position of an element"""

UnicodeBidi = "unicode-bidi"
"""Used together with the direction property to set or return whether the text should be overridden to support multiple languages in the same document"""

UserSelect = "user-select"
"""Specifies whether the text of an element can be selected"""

VerticalAlign = "vertical-align"
"""Sets the vertical alignment of an element"""

Visibility = "visibility"
"""Specifies whether or not an element is visible"""

WhiteSpace = "white-space"
"""Specifies how white-space inside an element is handled"""

Widows = "widows"
"""Sets the minimum number of lines that must be left at the top of a page 
    or column"""

Width = "width"
"""Sets the width of an element"""

WordBreak = "word-break"
"""Specifies how words should break when reaching the end of a line"""

WordSpacing = "word-spacing"
"""Increases or decreases the space between words in a text"""

WordWrap = "word-wrap"
"""Allows long, unbreakable words to be broken and wrap to the next line"""

WritingMode = "writing-mode"
"""Specifies whether lines of text are laid out horizontally or vertically"""

ZIndex = "z-index"
"""Sets the stack order of a positioned element"""

Zoom = "zoom"
"""Specifies the zoom factor for an element. An element can be zoomed in and out"""